<template>
  <div>
    <v-card>
      <v-card-title class="light"
        >Modifiko Llogarine - {{ data.name }}</v-card-title
      >
      <v-container>
        <v-row class="mx-2">
          <v-col cols="6">
            <v-text-field label="Kodi*" v-model="data.code" />
          </v-col>
          <v-col cols="6">
            <v-text-field label="Emri*" v-model="data.name" />
          </v-col>
          <v-col cols="6">
            <v-text-field label="Pershkrimi" v-model="data.description" />
          </v-col>
          <v-col cols="12" sm="6">
            <currency-select
              v-model="data.currency_id"
              @currency_id="event => (this.data.currency_id = event)"
            />
          </v-col>
        </v-row>
      </v-container>
      <v-card-actions>
        <v-spacer />
        <v-btn text color="gray" @click="closeModal">Anullo</v-btn>
        <f-submit-btn @click="submit" :loading="loading" :disabled="loading" />
      </v-card-actions>
    </v-card>
  </div>
</template>

<script lang="ts">
import api from '@/plugins/api'
import { Vue, Component, Prop } from 'vue-property-decorator'
import FSubmitBtn from '@/components/buttons/FSubmitBtn.vue'
import CurrencySelect from '@/components/general/CurrencySelect.vue'

@Component({
  components: { FSubmitBtn, CurrencySelect },
})
export default class EditAccount extends Vue {
  @Prop() accountId!: number
  @Prop() data!: any

  loading = false

  closeModal() {
    this.$emit('close', 'edit_account')
  }

  submit() {
    this.loading = true
    api()
      .put(`/api/account-management/accounts/${this.accountId}`, this.data)
      .then(response => {
        alert(response.data.message)
        if (!(response && response.data && response.data.status === 0)) {
          return
        }
        this.data.name = ''
        this.data.description = ''
        this.data.code = ''
        this.$emit('updated')
        this.closeModal()
      })
      .catch(error => {
        console.log(error)
      })
      .finally(() => {
        this.loading = false
      })
  }
}
</script>
